Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::addon::tablegenerator::TableBorderInfo Class Reference

Inherits Object.

## Public Types
enum | TableBorderStyle { e_TableBorderStyleSolid = 0, e_TableBorderStyleDashed = 1 }
| Enumeration for PDF annotation type. More...

## Public Member Functions
| TableBorderInfo ()
| Constructor.
| TableBorderInfo (const TableBorderInfo &table_border_info)
| Constructor, with another table border information object. More...
| TableBorderInfo (const TableBorderStyle &table_border_style, float line_width, ARGB color, float dash_phase, FloatArray dashes)
| Constructor, with parameters. More...
bool | operator!= (const TableBorderInfo &data) const
| Not equal operator. More...
TableBorderInfo & | operator= (const TableBorderInfo &data)
| Assign operator. More...
bool | operator== (const TableBorderInfo &table_border_info) const
| Equal operator. More...
void | Set (const TableBorderStyle &table_border_style, float line_width, ARGB color, float dash_phase, FloatArray dashes)
| Set value. More...

## Public Attributes
ARGB | color
| The table border color. Format: 0xAARRGGBB.
float | dash_phase
| Dash phase.It should not be negative. Only useful when parameter style</ i> is TableBorderInfo::e_TableBorderStyleDashed. Please refer to <PDF Reference 1.7> P211 "dash pattern" for more details.
FloatArray | dashes
| A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is TableBorderInfo::e_TableBorderStyleDashed. Please refer to <PDF Reference 1.7> P211 "dash pattern" for more details.
float | line_width
| Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
TableBorderStyle | table_border_style
| Table border style. Please refer to values starting from TableBorderInfo::e_TableBorderStyleSolid and this should be one of these values.

## Detailed Description

This class represents table border information.

## Member Enumeration Documentation

## ◆ TableBorderStyle

enum foxit::addon::tablegenerator::TableBorderInfo::TableBorderStyle

Enumeration for PDF annotation type.

Values of this enumeration should be used alone.

Enumerator
e_TableBorderStyleSolid | Table border style: Solid.
e_TableBorderStyleDashed | Table border style: Dashed.

## Constructor & Destructor Documentation

## ◆ TableBorderInfo() [1/2]

foxit::addon::tablegenerator::TableBorderInfo::TableBorderInfo | ( | const TableBorderStyle & | table_border_style,
|  | float | line_width,
|  | ARGB | color,
|  | float | dash_phase,
|  | FloatArray | dashes
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | table_border_style | Table border style. Please refer to values starting from TableBorderInfo::e_TableBorderStyleSolid and this should be one of these values.
  [in] | line_width | Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | color | The table border color. Format: 0xAARRGGBB.
  [in] | dash_phase | Dash phase. Only useful when parameter style is TableBorderInfo::e_TableBorderStyleDashed.
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is TableBorderInfo::e_TableBorderStyleDashed.

## ◆ TableBorderInfo() [2/2]

foxit::addon::tablegenerator::TableBorderInfo::TableBorderInfo | ( | const TableBorderInfo & | table_border_info | ) |
| inline

Constructor, with another table border information object.

Parameters

  [in] | table_border_info | Another table border information object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::addon::tablegenerator::TableBorderInfo::operator!= | ( | const TableBorderInfo & | data | ) | const
| inline

Not equal operator.

Parameters

  [in] | data | Another table border information object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

TableBorderInfo& foxit::addon::tablegenerator::TableBorderInfo::operator= | ( | const TableBorderInfo & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another table border information object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::tablegenerator::TableBorderInfo::operator== | ( | const TableBorderInfo & | table_border_info | ) | const
| inline

Equal operator.

Parameters

  [in] | table_border_info | Another table border information object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::addon::tablegenerator::TableBorderInfo::Set | ( | const TableBorderStyle & | table_border_style,
|  | float | line_width,
|  | ARGB | color,
|  | float | dash_phase,
|  | FloatArray | dashes
| ) |  |
| inline

Set value.

Parameters

  [in] | table_border_style | Table border style. Please refer to values starting from TableBorderInfo::e_TableBorderStyleSolid and this should be one of these values.
  [in] | line_width | Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | color | The table border color. Format: 0xAARRGGBB.
  [in] | dash_phase | Dash phase. Only useful when parameter style is TableBorderInfo::e_TableBorderStyleDashed.
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is TableBorderInfo::e_TableBorderStyleDashed.

Returns
  None.